std::is_constructible< _Tp, _Args >(3)

NAME
std::is_constructible< _Tp, _Args > -

SYNOPSIS

Inherits std::integral_constant< bool,(__is_constructible_impl< _Tp, _Args...>::value)>.

  Public Types
typedef integral_constant
< bool, __v > type"
typedef bool value_type

  Public Member Functions
constexpr operator value_type ()

  Static Public Attributes
static constexpr bool value

Detailed Description

  template<typename _Tp, typename... _Args>struct std::is_constructible< _Tp, _Args >
is_constructible

Definition at line 955 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.